## python-hardware 0.30.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD

=== debian/changelog ===
python-hardware (0.30.0-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jul 2023 09:17:10 +0200

python-hardware (0.30.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1032137)

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Feb 2023 15:30:32 +0100

=== debian/control ===
Source: python-hardware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 ethtool,
 hdparm,
 ipmitool,
 lldpad,
 lshw,
 openstack-pkg-tools,
 pciutils,
 python3-all,
 python3-babel,
 python3-pbr,
 python3-pexpect,
 python3-setuptools,
 python3-sphinx,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 smartmontools,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-hardware
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-hardware.git
Homepage: https://github.com/redhat-cip/hardware

Package: python3-hardware
Architecture: all
Depends:
 ethtool,
 hdparm,
 ipmitool,
 lldpad,
 lshw,
 pciutils,
 python3-pbr,
 python3-pexpect,
 smartmontools,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-hardware-doc,
Description: hardware detection and classification utilities
 Detect hardware features of a Linux systems:
  * RAID
  * hard drives
  * IPMI
  * network cards
  * DMI infos
  * memory settings
  * processor features
 .
 Filter hardware according to hardware profiles.
 .
 This package contains the Python 3.x module.

Package: python-hardware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: hardware detection and classification utilities - doc
 Detect hardware features of a Linux systems:
  * RAID
  * hard drives
  * IPMI
  * network cards
  * DMI infos
  * memory settings
  * processor features
 .
 Filter hardware according to hardware profiles.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/redhat-cip/hardware
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-hardware-doc/usr/share/doc/python-hardware-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-hardware 0.32.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
pexpect # ISC

=== debian/changelog ===
python-hardware (0.32.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 13:16:04 +0200

python-hardware (0.30.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090511).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:39:05 +0100

python-hardware (0.30.0-3) unstable; urgency=medium

  * Fixed wrong VCS URLs.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Aug 2023 09:55:17 +0200

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
  smartmontools,
  subunit,
 Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-hardware
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-hardware.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-hardware
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-hardware.git
 Homepage: https://github.com/redhat-cip/hardware
 
 Package: python3-hardware

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/hardware/hardware-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
